- List the comments on a content post
Return a user's feed of posts
Return a user's homepage feed
Return a user profile's submitted content
Return channels followed by a user profile
Return the details of a single post within a feed
Return the engagement details of a single post within a feed
Like a post in the feed
Unlike a post in the feed
Bookmark a post in the feed
Unbookmark a post in the feed
Get the trackable URL for a post in the feed
Share a post in the feed
View a post in the feed
Unview a post in the feed
List the comment aliases available to the authenticated user
Comment on a post in the feed
List the replies to a comment on a content post
Reply to a comment on a post in the feed
Report a Comment or Reply for a given post in the feed
Query for users that are able to be mentioned.
Update a comment on a post in the feed
Delete a comment or reply on a post in the feed
Return the rendered content of a single post within the feed
Report a post in the feed
Acknowledge a post in the feed.
Returns the details of a single poll.
Respond to a poll.
Returns a user's feed of polls.
List the comments on a co...
List the comments on a content post. Only top-level comments are returned. Comments which are replies to other comments are not currently available through this endpoint. Upon enabling expanded reactions types, the response will include the additional reaction types.
When a comment with user mentions is returned, it will be returned with those mentions in the format of either {ref:user:<user_id>} or {ref:user::id:<user_id>}. You can parse out the user_id and then look up the user and transform the mention metadata to the display_name/name of the referenced user.
Security
oauth2_as_a_user(Required scopes: feeds.read)
- US1https://partner.socialchorus.com/v2/feed/posts/{content_id}/comments
- US2https://partner.us2.onfirstup.com/v2/feed/posts/{content_id}/comments
- EUhttps://partner.onfirstup.eu/v2/feed/posts/{content_id}/comments
curl -i -X GET \
'https://partner.socialchorus.com/v2/feed/posts/{content_id}/comments?page.size=0&page.number=0' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
{ "data": [ { … } ], "meta": { "filters": null, "pagination": { … } } }